<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.435
Name: KOPAC-B Andere afwijkingen
Description: Template: KOPAC-B Andere afwijkingen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000">
   <title>KOPAC-B Andere afwijkingen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.435
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]]
Item: (KOPACBA)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]]"
         id="d20e16241-false-d174041e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]) &gt;= 1">(KOPACBA): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]) &lt;= 1">(KOPACBA): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.435
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]
Item: (KOPACBA)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]"
         id="d20e16262-false-d174058e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="string(@classCode) = ('OBS')">(KOPACBA): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="string(@moodCode) = ('EVN')">(KOPACBA): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']) &gt;= 1">(KOPACBA): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']) &lt;= 1">(KOPACBA): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="count(hl7:code[(@code = 'A' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]) &gt;= 1">(KOPACBA): element hl7:code[(@code = 'A' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="count(hl7:code[(@code = 'A' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]) &lt;= 1">(KOPACBA): element hl7:code[(@code = 'A' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.234-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(KOPACBA): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.234-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.234-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(KOPACBA): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.234-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.435
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']
Item: (KOPACBA)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']"
         id="d20e16268-false-d174104e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.36.10.435')">(KOPACBA): de waarde van root MOET '2.16.840.1.113883.2.4.3.36.10.435' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.435
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]/hl7:code[(@code = 'A' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]
Item: (KOPACBA)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]/hl7:code[(@code = 'A' and @codeSystem = '2.16.840.1.113883.2.4.3.36.77.5.243')]"
         id="d20e16273-false-d174119e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="@nullFlavor or (@code='A' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.243')">(KOPACBA): de elementwaarde MOET een zijn van 'code 'A' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.243''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.435
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.234-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (KOPACBA)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.36.10.435']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.234-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d20e16278-false-d174138e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KOPACBA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20190913T200231/tmp-2.16.840.1.113883.2.4.3.36.10.435-2016-02-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.234-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(KOPACBA): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.36.77.11.234 KOPAC-B Andere afwijkingen (DYNAMISCH)'.</assert>
   </rule>
</pattern>
